<?php

// Resource routes  for exchangeorder
Route::group(['prefix' => set_route_guard('web').'/exchangeorder'], function () {
    Route::put('exchangeorder/workflow/{example}/{step}', 'ExchangeorderWorkflowController@putWorkflow');
    Route::get('exchangeorder/workflow/{example}/{step}/{user}', 'ExchangeorderWorkflowController@getWorkflow');
    Route::resource('exchangeorder', 'ExchangeorderResourceController');
});

// Public  routes for exchangeorder
Route::get('exchangeorder/workflow/{exchangeorder}/{step}/{user}', 'ExchangeorderController@getWorkflow');
Route::get('exchangeorder/popular/{period?}', 'ExchangeorderPublicController@popular');
Route::get('exchangeorders/', 'ExchangeorderPublicController@index');
Route::get('exchangeorders/{slug?}', 'ExchangeorderPublicController@show');

