<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class ExchangeorderTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('exchangeorders')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'exchangeorder.exchangeorder.view',
                'name'      => 'View Exchangeorder',
            ],
            [
                'slug'      => 'exchangeorder.exchangeorder.create',
                'name'      => 'Create Exchangeorder',
            ],
            [
                'slug'      => 'exchangeorder.exchangeorder.edit',
                'name'      => 'Update Exchangeorder',
            ],
            [
                'slug'      => 'exchangeorder.exchangeorder.delete',
                'name'      => 'Delete Exchangeorder',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'exchangeorder.exchangeorder.verify',
                'name'      => 'Verify Exchangeorder',
            ],
            [
                'slug'      => 'exchangeorder.exchangeorder.approve',
                'name'      => 'Approve Exchangeorder',
            ],
            [
                'slug'      => 'exchangeorder.exchangeorder.publish',
                'name'      => 'Publish Exchangeorder',
            ],
            [
                'slug'      => 'exchangeorder.exchangeorder.unpublish',
                'name'      => 'Unpublish Exchangeorder',
            ],
            [
                'slug'      => 'exchangeorder.exchangeorder.cancel',
                'name'      => 'Cancel Exchangeorder',
            ],
            [
                'slug'      => 'exchangeorder.exchangeorder.archive',
                'name'      => 'Archive Exchangeorder',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/exchangeorder/exchangeorder',
                'name'        => 'Exchangeorder',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/exchangeorder/exchangeorder',
                'name'        => 'Exchangeorder',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'exchangeorder',
                'name'        => 'Exchangeorder',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Exchangeorder',
                'module'    => 'Exchangeorder',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'exchangeorder.exchangeorder.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
